RDKit: RDKit::v2::ReactionParser Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Functions
RDKit::v2::ReactionParser Namespace Reference

## Classes
struct | ReactionSmartsParserParams

## Functions
RDKIT_CHEMREACTIONS_EXPORT std::unique_ptr< ChemicalReaction > | ReactionFromSmarts (const std::string &smarts, const ReactionSmartsParserParams &params=ReactionSmartsParserParams())
RDKIT_CHEMREACTIONS_EXPORT std::unique_ptr< ChemicalReaction > | ReactionFromSmiles (const std::string &smarts, const ReactionSmartsParserParams &params=ReactionSmartsParserParams())
RDKIT_CHEMREACTIONS_EXPORT std::unique_ptr< ChemicalReaction > | ReactionFromRxnBlock (const std::string &rxnBlock, const FileParsers::MolFileParserParams &params=FileParsers::MolFileParserParams())
RDKIT_CHEMREACTIONS_EXPORT std::unique_ptr< ChemicalReaction > | ReactionFromRxnFile (const std::string &fileName, const FileParsers::MolFileParserParams &params=FileParsers::MolFileParserParams())
RDKIT_CHEMREACTIONS_EXPORT std::unique_ptr< ChemicalReaction > | ReactionFromRxnDataStream (std::istream &rxnStream, unsigned int &line, const FileParsers::MolFileParserParams &params=FileParsers::MolFileParserParams())
RDKIT_CHEMREACTIONS_EXPORT std::unique_ptr< ChemicalReaction > | ReactionFromPNGStream (std::istream &pngStream)
| constructs a ChemicalReaction from the metadata in a PNG stream
std::unique_ptr< ChemicalReaction > | ReactionFromPNGString (const std::string &data)
| constructs a ChemicalReaction from the metadata in a PNG string See `PNGStreamToChemicalReaction()` for more details
std::unique_ptr< ChemicalReaction > | ReactionFromPNGFile (const std::string &fname)
| constructs a ChemicalReaction from the metadata in a PNG file See `PNGStreamToChemicalReaction()` for more details

## Function Documentation

## ◆ ReactionFromPNGFile()

std::unique_ptr< ChemicalReaction > RDKit::v2::ReactionParser::ReactionFromPNGFile | ( | const std::string & | fname | ) |
| inline

constructs a ChemicalReaction from the metadata in a PNG file See `PNGStreamToChemicalReaction()` for more details

Definition at line 313 of file ReactionParser.h.

References ReactionFromPNGFile(), and ReactionFromPNGStream().

Referenced by ReactionFromPNGFile().

## ◆ ReactionFromPNGStream()

RDKIT_CHEMREACTIONS_EXPORT std::unique_ptr< ChemicalReaction > RDKit::v2::ReactionParser::ReactionFromPNGStream | ( | std::istream & | pngStream | ) |

constructs a ChemicalReaction from the metadata in a PNG stream

Looks through the metadata in the PNG to find the first tag that matches one of the tags in `RDKit::PNGData`. A reaction is constructed from this chunk.

Throws a `FileParseException` if no suitable tag is found.

References ReactionFromPNGStream().

Referenced by ReactionFromPNGFile(), ReactionFromPNGStream(), and ReactionFromPNGString().

## ◆ ReactionFromPNGString()

std::unique_ptr< ChemicalReaction > RDKit::v2::ReactionParser::ReactionFromPNGString | ( | const std::string & | data | ) |
| inline

constructs a ChemicalReaction from the metadata in a PNG string See `PNGStreamToChemicalReaction()` for more details

Definition at line 306 of file ReactionParser.h.

References ReactionFromPNGStream(), and ReactionFromPNGString().

Referenced by ReactionFromPNGString().

## ◆ ReactionFromRxnBlock()

RDKIT_CHEMREACTIONS_EXPORT std::unique_ptr< ChemicalReaction > RDKit::v2::ReactionParser::ReactionFromRxnBlock | ( | const std::string & | rxnBlock,
|  | const FileParsers::MolFileParserParams & | params = FileParsers::MolFileParserParams() )

References RDKIT_CHEMREACTIONS_EXPORT, and ReactionFromRxnBlock().

Referenced by ReactionFromRxnBlock().

## ◆ ReactionFromRxnDataStream()

RDKIT_CHEMREACTIONS_EXPORT std::unique_ptr< ChemicalReaction > RDKit::v2::ReactionParser::ReactionFromRxnDataStream | ( | std::istream & | rxnStream,
|  | unsigned int & | line,
|  | const FileParsers::MolFileParserParams & | params = FileParsers::MolFileParserParams() )

References ReactionFromRxnDataStream().

Referenced by ReactionFromRxnDataStream().

## ◆ ReactionFromRxnFile()

RDKIT_CHEMREACTIONS_EXPORT std::unique_ptr< ChemicalReaction > RDKit::v2::ReactionParser::ReactionFromRxnFile | ( | const std::string & | fileName,
|  | const FileParsers::MolFileParserParams & | params = FileParsers::MolFileParserParams() )

References RDKIT_CHEMREACTIONS_EXPORT, and ReactionFromRxnFile().

Referenced by ReactionFromRxnFile().

## ◆ ReactionFromSmarts()

RDKIT_CHEMREACTIONS_EXPORT std::unique_ptr< ChemicalReaction > RDKit::v2::ReactionParser::ReactionFromSmarts | ( | const std::string & | smarts,
|  | const ReactionSmartsParserParams & | params = ReactionSmartsParserParams() )

References RDKIT_CHEMREACTIONS_EXPORT, and ReactionFromSmarts().

Referenced by RDKit::operator""_rxnsmarts(), and ReactionFromSmarts().

## ◆ ReactionFromSmiles()

RDKIT_CHEMREACTIONS_EXPORT std::unique_ptr< ChemicalReaction > RDKit::v2::ReactionParser::ReactionFromSmiles | ( | const std::string & | smarts,
|  | const ReactionSmartsParserParams & | params = ReactionSmartsParserParams() )

References RDKIT_CHEMREACTIONS_EXPORT, and ReactionFromSmiles().

Referenced by RDKit::operator""_rxnsmiles(), and ReactionFromSmiles().